Bug 18421 - Make Coce cover images available for staff search
Summary: Make Coce cover images available for staff search
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Charles Farmer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-12 01:14 UTC by Agnes Rivers-Moore
Modified: 2019-10-07 13:10 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug18421 - Add Coce to the staff intranet (20.50 KB, patch)
2018-02-07 20:07 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug18421 - Add Coce to the staff intranet (21.25 KB, patch)
2018-02-20 04:33 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug18421 - Add Coce to the staff intranet (21.31 KB, patch)
2018-03-13 12:59 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug18421 - Add Coce to the staff intranet (21.71 KB, patch)
2018-03-28 17:47 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug18421 - Add Coce to the staff intranet (22.40 KB, patch)
2018-03-30 15:59 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug18421 - Add Coce to the staff intranet (22.00 KB, patch)
2018-04-16 18:30 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 18421: (QA follow-up) Use the community's terminology, change coce.js's path, update <script> to Asset, remove forbidden patterns (6.51 KB, patch)
2018-08-08 21:46 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug18421: Add Coce to the staff intranet (21.95 KB, patch)
2018-08-08 21:46 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 18421: (QA follow-up) Use the community's terminology, change coce.js's path, update <script> to Asset, remove forbidden patterns (6.51 KB, patch)
2018-08-08 21:46 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug18421: Add Coce to the staff intranet (22.00 KB, patch)
2018-08-13 18:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18421: (QA follow-up) Use the community's terminology, change coce.js's path, update <script> to Asset, remove forbidden patterns (6.55 KB, patch)
2018-08-13 18:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18421: Add Coce to the staff intranet (22.25 KB, patch)
2018-10-05 15:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18421: (follow-up) QA fixes (6.59 KB, patch)
2018-10-05 15:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18421: (follow-up) Adding missing filters (5.34 KB, patch)
2018-10-05 15:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18421: Add Coce to the staff intranet (22.72 KB, patch)
2019-01-04 14:28 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 18421: (follow-up) QA fixes (6.59 KB, patch)
2019-01-04 14:29 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 18421: (follow-up) Adding missing filters (5.34 KB, patch)
2019-01-04 14:29 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 18421: (follow-up) Center image in results table (886 bytes, patch)
2019-01-04 14:30 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 18421: Add Coce to the staff intranet (22.00 KB, patch)
2019-07-16 13:36 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 18421: (follow-up) QA fixes (6.56 KB, patch)
2019-07-16 13:36 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 18421: (follow-up) Adding missing filters (5.08 KB, patch)
2019-07-16 13:36 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 18421: (follow-up) Center image in results table (886 bytes, patch)
2019-07-16 13:36 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 18421: Add Coce to the staff intranet (22.06 KB, patch)
2019-07-26 02:21 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18421: (follow-up) QA fixes (6.62 KB, patch)
2019-07-26 02:23 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18421: (follow-up) Adding missing filters (5.14 KB, patch)
2019-07-26 02:24 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18421: (follow-up) Center image in results table (945 bytes, patch)
2019-07-26 02:25 UTC, Alex Buckley
Details | Diff | Splinter Review
Bug 18421: Add Coce to the staff intranet (22.18 KB, patch)
2019-10-03 14:57 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18421: (follow-up) QA fixes (6.70 KB, patch)
2019-10-03 14:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18421: (follow-up) Adding missing filters (5.21 KB, patch)
2019-10-03 14:58 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18421: (follow-up) Center image in results table (1010 bytes, patch)
2019-10-03 14:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Agnes Rivers-Moore 2017-04-12 01:14:40 UTC
When turned on, Coce cover images appear in the OPAC only, not staff interface.
(Coce Cover images - settings in enhanced content.)

Desired setting would be like Amazon cover settings - the ability to turn on Coce images for the OPAC and/or the staff interface separately.
Coce server needs Koha searches to populate it with cover image links. While it is collecting them, images do not display on the first time search results. To make them display would need a refresh or a programmed time delay and re-query to the Coce server. This is not useful for public OPAC.
While the Coce server is being populated with links it is desirable to have only the staff interface using Coce.
After a time, when the Coce server has accumulated a large collection of links, it would then be turned on for public OPAC and used by both.

I have Koha 3.22.07, and am testing with the Bywater Coce server.
If this is under way or in more recent versions already, please comment.
Comment 1 Charles Farmer 2018-02-07 17:15:09 UTC
> When turned on, Coce cover images appear in the OPAC only, not staff interface.
(Coce Cover images - settings in enhanced content.)
Desired setting would be like Amazon cover settings - the ability to turn on Coce images for the OPAC and/or the staff interface separately.

There's a patch developed on our end that would offer just that: giving the option to control Coce's behavior separately between OPAC and the staff intranet.

I'll join it to this bug instead of creating a new one.

> Coce server needs Koha searches to populate it with cover image links. While it is collecting them, images do not display on the first time search results. To make them display would need a refresh or a programmed time delay and re-query to the Coce server. This is not useful for public OPAC.

This is false, from what I understand.

Coce is queried after the page is loaded, yes, but the results should be dynamically appended to the page if images were found. What might've happened on your end is multiple image providers returning empty results, which were in turn cached by redis and given back every time you made a subsequent request.

In that case, it's more related to Coce's backend than Coce itself.
Comment 2 Charles Farmer 2018-02-07 20:07:23 UTC Comment hidden (obsolete)
Comment 3 Agnes Rivers-Moore 2018-02-07 23:30:07 UTC
(In reply to Charles Farmer from comment #1)
> > When turned on, Coce cover images appear in the OPAC only, not staff interface.
> (Coce Cover images - settings in enhanced content.)
> Desired setting would be like Amazon cover settings - the ability to turn on
> Coce images for the OPAC and/or the staff interface separately.
> 
> There's a patch developed on our end that would offer just that: giving the
> option to control Coce's behavior separately between OPAC and the staff
> intranet.
> 
> I'll join it to this bug instead of creating a new one.
> 
> > Coce server needs Koha searches to populate it with cover image links. While it is collecting them, images do not display on the first time search results. To make them display would need a refresh or a programmed time delay and re-query to the Coce server. This is not useful for public OPAC.
> 
> This is false, from what I understand.
> 
> Coce is queried after the page is loaded, yes, but the results should be
> dynamically appended to the page if images were found. What might've
> happened on your end is multiple image providers returning empty results,
> which were in turn cached by redis and given back every time you made a
> subsequent request.
> 
> In that case, it's more related to Coce's backend than Coce itself.

I am very glad this is being addressed, thank you!

Re the behaviour - I found that none of the images would load when the search was initially done. However, paging forward and then returning, or repeating the search would load all the images (or almost all).
If the search had been done before, and was done again, then images loaded right away in the search results, without needing a refresh.
This behaviour is not consistent with your description of how Coce & Koha is expected to work - the images were not dynamically appended unless the page was refreshed in some way.
Comment 4 Agnes Rivers-Moore 2018-02-07 23:31:27 UTC
(In reply to Charles Farmer from comment #1)
> > When turned on, Coce cover images appear in the OPAC only, not staff interface.
> (Coce Cover images - settings in enhanced content.)
> Desired setting would be like Amazon cover settings - the ability to turn on
> Coce images for the OPAC and/or the staff interface separately.
> 
> There's a patch developed on our end that would offer just that: giving the
> option to control Coce's behavior separately between OPAC and the staff
> intranet.
> 
> I'll join it to this bug instead of creating a new one.
> 
> > Coce server needs Koha searches to populate it with cover image links. While it is collecting them, images do not display on the first time search results. To make them display would need a refresh or a programmed time delay and re-query to the Coce server. This is not useful for public OPAC.
> 
> This is false, from what I understand.
> 
> Coce is queried after the page is loaded, yes, but the results should be
> dynamically appended to the page if images were found. What might've
> happened on your end is multiple image providers returning empty results,
> which were in turn cached by redis and given back every time you made a
> subsequent request.
> 
> In that case, it's more related to Coce's backend than Coce itself.

I am very glad this is being addressed, thank you!

Re the behaviour - I found that none of the images would load when the search was initially done. However, paging forward and then returning, or repeating the search would load all the images (or almost all).
If the search had been done before, and was done again, then images loaded right away in the search results, without needing a refresh.
This behaviour is not consistent with your description of how Coce & Koha is expected to work - the images were not dynamically appended unless the page was refreshed in some way.
Comment 5 Charles Farmer 2018-02-08 15:59:50 UTC
Because of the variables involved in the deployment of Coce -- the koha version, the nodejs version, whether passenger is used or not for clustering, the communication with the in-memory cache behind, the webserver that might be used to proxy to the app, etc. -- it can get finicky real quick.

Without detailed information about your particular setup, I would recommend opening a new bug ticket, since you feel confident about the reproducibility of this issue on your end. I'd be more than happy to look over your setup :)
Comment 6 Agnes Rivers-Moore 2018-02-08 16:06:09 UTC
I appreciate the response, many thanks. We are planning an upgrade in the next few months - perhaps the behaviour will change after that.
Comment 7 Charles Farmer 2018-02-20 04:33:19 UTC Comment hidden (obsolete)
Comment 8 Brendan Gallagher 2018-03-13 12:59:00 UTC Comment hidden (obsolete)
Comment 9 Charles Farmer 2018-03-28 17:47:13 UTC Comment hidden (obsolete)
Comment 10 Charles Farmer 2018-03-28 17:48:39 UTC
Rebased C4/Auth.pm over the latest master: conflict over an end-of-line comma.
Comment 11 Katrin Fischer 2018-03-30 10:00:25 UTC Comment hidden (obsolete)
Comment 12 Charles Farmer 2018-03-30 15:59:27 UTC Comment hidden (obsolete)
Comment 13 Charles Farmer 2018-03-30 17:54:02 UTC
I've read your comments and applied them accordingly.

Only thing bothering me is the IGNORE. I don't know much about SQL, but aren't we trying to avoid MySQLism? Is this something supported by other database vendors?
Comment 14 Katrin Fischer 2018-03-31 11:04:44 UTC
(In reply to Charles Farmer from comment #13)
> I've read your comments and applied them accordingly.
> 
> Only thing bothering me is the IGNORE. I don't know much about SQL, but
> aren't we trying to avoid MySQLism? Is this something supported by other
> database vendors?

The updatedatabase file is mysql specific (it's even lives in a directory called mysql...). But in general you are right of course.
Comment 15 Charles Farmer 2018-04-16 18:30:59 UTC Comment hidden (obsolete)
Comment 16 Katrin Fischer 2018-04-22 18:49:49 UTC
Hi Charles, please always add a separate follow-up patch with changes requested by QA and then switch back to 'signed off' if not requested otherwise. This way you often don't need to go through the sign-off process again. But if you change the initial patch like here, it's good to ask for a new sign-off as the old one is basically 'invalid'.
Comment 17 Owen Leonard 2018-05-22 13:26:38 UTC
The QA tool shows some issues with this:

 FAIL   koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/detail.tt
   FAIL   forbidden patterns
                forbidden pattern: Do not use line breaks inside template tags (bug 18675) (line 62)
                forbidden pattern: Do *not* include full path to js files, use the Asset TT plugin (bug 20538) (line 890)

 FAIL   koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/results.tt
   FAIL   forbidden patterns
                forbidden pattern: Do not use line breaks inside template tags (bug 18675) (line 25)

I notice in results.tt:

[% Asset.js("prog/js/coce.js") %]

should be 

[% Asset.js("js/coce.js") %]

I'd also like to see this modified to use the term "staff client" instead of "intranet," according to our terminology guidelines:

https://wiki.koha-community.org/wiki/Terminology
Comment 18 Charles Farmer 2018-08-08 21:45:24 UTC
Thank you very much for you reply Owen.

When you asked to change the keyword 'Intranet' to 'Staff client', were you talking about strings in the interface, or did you mean to go all the way and the change the syspref's name?

I'll patch this right away.
Comment 19 Charles Farmer 2018-08-08 21:46:03 UTC Comment hidden (obsolete)
Comment 20 Charles Farmer 2018-08-08 21:46:51 UTC Comment hidden (obsolete)
Comment 21 Charles Farmer 2018-08-08 21:46:57 UTC Comment hidden (obsolete)
Comment 22 Owen Leonard 2018-08-10 12:29:11 UTC
Looks good to me, but still some complaints from the QA script:

 FAIL   koha-tmpl/intranet-tmpl/prog/js/coce.js
   FAIL   git manipulation
                The file has been added and deleted in the same patchset
Comment 23 Charles Farmer 2018-08-13 18:05:16 UTC
Wait, `git mv` is now seen as an erroneous operation?!

What am I supposed to do about that? Delete in one patch and submit the _same exact_ file in another one? I mean, I'm all for the QA script, but this seems questionable, for lack of a better adjective.

Putting it back at 'Signed Off', it's an operation that had to be done. If, however, you wring my arm, I'll split it in two distinct patches :/
Comment 24 Owen Leonard 2018-08-13 18:09:56 UTC Comment hidden (obsolete)
Comment 25 Owen Leonard 2018-08-13 18:10:04 UTC Comment hidden (obsolete)
Comment 26 Owen Leonard 2018-08-13 18:10:39 UTC
(In reply to Charles Farmer from comment #23)
> Wait, `git mv` is now seen as an erroneous operation?!

I'll leave that up to QA.
Comment 27 Katrin Fischer 2018-08-13 19:26:35 UTC
It's just a warning about something that could easily be confusing or a mistake:

 FAIL   koha-tmpl/intranet-tmpl/prog/js/coce.js
   FAIL   git manipulation
                The file has been added and deleted in the same patchset

Usually, if it's an option (same authors, sign-offers on the patches) you can resolve that by squashing the patches. Then the file won't ever be added instead of being added to be removed with the next patch.
Comment 28 Charles Farmer 2018-08-13 19:40:54 UTC
Thanks for the explanation Katrin, it does make sense. Though I feel like in that instance, it begs the question "why should we submit (QA follow-up) patches in the first place"? Either I'm squashing changes, and losing the distinctive history that follow-up patches bring (and signoffs, if any), or I'm breaking the QA script...

Sorry for digressing here, it's more a discussion for the dev list :) If I had to make a suggestion, it would be to lower this 'warning' from FAIL to something else.
Comment 29 Katrin Fischer 2018-08-13 19:48:05 UTC
I'd not insist on squashing per se - there are reasons when it might not make sense. I haven't taken a closer look at those patches (can't test coce), but signed off is good.
Comment 30 Jonathan Druart 2018-08-15 19:13:04 UTC
Charles, you can discuss any "failures" from the QA checks. It is hard to test all the situations without false positives.

Here, as Katrin said, we prefer to not add and remove a file in the same patchset. RM or QA will squash the patches if it is really needed.
Comment 31 Jonathan Druart 2018-08-15 19:29:47 UTC
Quick notes:
1. We hit the same problem as local cover on bug 19511
2. FIXME in .js, but copied from the OPAC one (not blocker)
3. Will fail tests bug 13618 is going to add (should be pushed very soon). Filters are missing.
Comment 32 Julian Maurice 2018-10-05 13:47:36 UTC
Patches do not apply, and fixes are needed (comment 31). Changing status to Failed QA
Comment 33 Owen Leonard 2018-10-05 15:23:55 UTC Comment hidden (obsolete)
Comment 34 Owen Leonard 2018-10-05 15:23:59 UTC Comment hidden (obsolete)
Comment 35 Owen Leonard 2018-10-05 15:24:04 UTC Comment hidden (obsolete)
Comment 36 Maryse Simard 2019-01-04 14:28:49 UTC Comment hidden (obsolete)
Comment 37 Maryse Simard 2019-01-04 14:29:02 UTC Comment hidden (obsolete)
Comment 38 Maryse Simard 2019-01-04 14:29:26 UTC Comment hidden (obsolete)
Comment 39 Maryse Simard 2019-01-04 14:30:25 UTC Comment hidden (obsolete)
Comment 40 Fridolin SOMERS 2019-04-16 11:29:03 UTC
Nice work, I'd like to sign.

But patches have conflicts in :
koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/detail.tt (complex)
koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/results.tt (trivial)
Comment 41 Maryse Simard 2019-07-16 13:36:21 UTC
Created attachment 91552 [details] [review]
Bug 18421: Add Coce to the staff intranet

TEST PLAN:
    1) Apply the patch with git-bz
    2) Run updatedatabase.pl
        2.1) Console output should confirm database modification
    3) Visit the 'Enhanced Content' tab of admin/syspref
        3.1) ressource is /cgi-bin/koha/admin/preferences.pl?tab=enhanced_content
        3.2) You should see that the previous preference, Coce, is now CoceOPAC,
             and that a new preference was added, CoceIntranet
    4) Activate CoceIntranet
    5) Do a search for a book for which you have a Coce cover
        5.1) The cover image url should now point to a provider you defined in Coce
        5.2) Your Coce log should show a query
    6) Click on the book's name to visit the detail.pl page
        6.1) The book's cover should also be provided by Coce on that page

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 42 Maryse Simard 2019-07-16 13:36:25 UTC
Created attachment 91553 [details] [review]
Bug 18421: (follow-up) QA fixes

Use the community's terminology, change coce.js's path, update <script>
to Asset, remove forbidden patterns

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 43 Maryse Simard 2019-07-16 13:36:30 UTC
Created attachment 91554 [details] [review]
Bug 18421: (follow-up) Adding missing filters

This patch adds template filters as prompted by the QA tool.
Comment 44 Maryse Simard 2019-07-16 13:36:35 UTC
Created attachment 91555 [details] [review]
Bug 18421: (follow-up) Center image in results table

Adds the "thumbnail" class to the image to have it centered.
Comment 45 Maryse Simard 2019-07-16 13:37:38 UTC
Patches rebased and ready to be tested.
Comment 46 Alex Buckley 2019-07-26 02:21:08 UTC
Created attachment 91786 [details] [review]
Bug 18421: Add Coce to the staff intranet

TEST PLAN:
    1) Apply the patch with git-bz
    2) Run updatedatabase.pl
        2.1) Console output should confirm database modification
    3) Visit the 'Enhanced Content' tab of admin/syspref
        3.1) ressource is /cgi-bin/koha/admin/preferences.pl?tab=enhanced_content
        3.2) You should see that the previous preference, Coce, is now CoceOPAC,
             and that a new preference was added, CoceIntranet
    4) Activate CoceIntranet
    5) Do a search for a book for which you have a Coce cover
        5.1) The cover image url should now point to a provider you defined in Coce
        5.2) Your Coce log should show a query
    6) Click on the book's name to visit the detail.pl page
        6.1) The book's cover should also be provided by Coce on that page

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 47 Alex Buckley 2019-07-26 02:23:23 UTC
Created attachment 91787 [details] [review]
Bug 18421: (follow-up) QA fixes

Use the community's terminology, change coce.js's path, update <script>
to Asset, remove forbidden patterns

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 48 Alex Buckley 2019-07-26 02:24:28 UTC
Created attachment 91788 [details] [review]
Bug 18421: (follow-up) Adding missing filters

This patch adds template filters as prompted by the QA tool.

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 49 Alex Buckley 2019-07-26 02:25:43 UTC
Created attachment 91789 [details] [review]
Bug 18421: (follow-up) Center image in results table

Adds the "thumbnail" class to the image to have it centered.

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>
Comment 50 Alex Buckley 2019-07-26 02:26:35 UTC
Tested and all works as described.
Comment 51 Katrin Fischer 2019-10-03 14:57:48 UTC
Created attachment 93654 [details] [review]
Bug 18421: Add Coce to the staff intranet

TEST PLAN:
    1) Apply the patch with git-bz
    2) Run updatedatabase.pl
        2.1) Console output should confirm database modification
    3) Visit the 'Enhanced Content' tab of admin/syspref
        3.1) ressource is /cgi-bin/koha/admin/preferences.pl?tab=enhanced_content
        3.2) You should see that the previous preference, Coce, is now CoceOPAC,
             and that a new preference was added, CoceIntranet
    4) Activate CoceIntranet
    5) Do a search for a book for which you have a Coce cover
        5.1) The cover image url should now point to a provider you defined in Coce
        5.2) Your Coce log should show a query
    6) Click on the book's name to visit the detail.pl page
        6.1) The book's cover should also be provided by Coce on that page

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 52 Katrin Fischer 2019-10-03 14:58:03 UTC
Created attachment 93655 [details] [review]
Bug 18421: (follow-up) QA fixes

Use the community's terminology, change coce.js's path, update <script>
to Asset, remove forbidden patterns

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 53 Katrin Fischer 2019-10-03 14:58:07 UTC
Created attachment 93656 [details] [review]
Bug 18421: (follow-up) Adding missing filters

This patch adds template filters as prompted by the QA tool.

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 54 Katrin Fischer 2019-10-03 14:58:11 UTC
Created attachment 93657 [details] [review]
Bug 18421: (follow-up) Center image in results table

Adds the "thumbnail" class to the image to have it centered.

Signed-off-by: Alex Buckley <alexbuckley@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 55 Martin Renvoize 2019-10-07 13:10:22 UTC
Nice work!

Pushed to master for 19.11.00